---
- name: Lesson 02 | Ansible
  hosts: all
  become: true
  tasks:
  - name: Lesson 02 | Add Node.js repo
    shell: "curl -sL https://deb.nodesource.com/setup_16.x | sudo -E bash -"

  - name: Lesson 02 | Install make and nodejs
    apt:
      name: [make, nodejs]
      update_cache: yes

  - name: Lesson 02 | Set FASTIFY_ADDRESS into env
    lineinfile:
      path: /etc/environment
      regexp: "^FASTIFY_ADDRESS"
      line: "FASTIFY_ADDRESS=0.0.0.0"

  - name: Lesson 02 | Create node_modules directory
    file:
      path: ~/node_modules
      state: directory
      owner: vagrant

  - name: Lesson 02 | Check for package.json
    stat:
      path:  /home/vagrant/package.json
    register: mode_modules_true

  - name: Lesson 02 | Its Terrible, i know | npm init -y fastify
    shell: npm init -y fastify
    become: false
    when: not mode_modules_true.stat.exists

  - name: Lesson 02 | Its Terrible, i know | npm install
    shell: npm install
    become: false
